WebCab Options and Futures Demo v2.5 (J2SE Edition)

## webcab.lib.calendar.cities
Class TokyoBusinessCalendar

    java.lang.Object
      |
      +--webcab.lib.calendar.AbstractBusinessCalendar
            |
            +--webcab.lib.calendar.cities.TokyoBusinessCalendar

All Implemented Interfaces:
  BusinessCalendar, Serializable

public final class TokyoBusinessCalendar
extends AbstractBusinessCalendar

Tokyo business calendar.

Regular holidays:

- <description>Saturdays</description>
- <description>Sundays</description>
- <description>New Year's Day, January 1st</description>
- <description>Bank Holiday, January 2nd</description>
- <description>Bank Holiday, January 3rd</description>
- <description>Coming of Age Day, 2nd Monday in January since 2000 (January 15th before)</description>
- <description>National Foundation Day, February 11th</description>
- <description>Vernal Equinox</description>
- <description>Greenery Day, April 29th</description>
- <description>Constitution Memorial Day, May 3rd</description>
- <description>Holiday for a Nation, May 4th</description>
- <description>Children's Day, May 5th</description>
- <description>Marine Day, 3rd Monday in July since 2003 (July 20th since 1996)</description>
- <description>Respect for the Aged Day, 3rd Monday in September since 2003 (September 15th before)</description>
- <description>Autumnal Equinox (if a single day falls between Respect for the Aged Day and the Autumnal Equinox, it is also a holiday since 2003)</description>
- <description>Health and Sports Day, 2nd Monday in October since 2000 (October 10th before)</description>
- <description>National Culture Day, November 3rd</description>
- <description>Labor Thanksgiving Day, November 23rd</description>
- <description>Emperor's Birthday, December 23rd (holiday since 1989)</description>
- <description>New Year's Eve, December 31st</description>

Implemented one-time holidays:

- <description>Marriage of Prince Akihito, April 10th 1959</description>
- <description>Rites of Imperial Funeral, February 24th 1989</description>
- <description>Enthronement Ceremony, November 12th 1990</description>
- <description>Marriage of Prince Naruhito, June 9th 1993</description>

Holidays falling on a Sunday are observed on the Monday following except for the Bank Holidays associated with the New Year.

Equinoxes are calculated using the astronomical equinox date. See National Holidays(website)

See Also:
  Serialized Form

Field Summary

Fields inherited from class webcab.lib.calendar.AbstractBusinessCalendar
`DAYS_IN_A_WEEK, MILLISECONDS_IN_A_DAY, MILLISECONDS_IN_A_HOUR, MILLISECONDS_IN_A_MINUTE, MILLISECONDS_IN_A_SECOND`

Method Summary
`static TokyoBusinessCalendar` `getInstance()` The only way of getting a `TokyoBusinessCalendar` instance.
`protected boolean` `isHoliday(Calendar date)` Returns `true` if the specified date `calendar` is a working day.

Methods inherited from class webcab.lib.calendar.AbstractBusinessCalendar
`checkDayOfWeek, checkOrder, daysBetween, daysBetweenAsPercentAtYear, daysOfWeekBetween, getName, isHoliday, isWorkingDay, nextHoliday, nextPaymentDate, nextWorkingDay, previousPaymentDate, workingDaysBetween, yearsBetween`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static TokyoBusinessCalendar getInstance()

  The only way of getting a `TokyoBusinessCalendar` instance.

  Returns:
    an instance of this business calendar

### isHoliday

    protected boolean isHoliday(Calendar date)

  Returns `true` if the specified date `calendar` is a working day.

  Specified by:
    `isHoliday` in class `AbstractBusinessCalendar`
  Parameters:
    `date` - the date to check
  Returns:
    `true` if the specified date `calendar` is a working day, `false` otherwise
  See Also:
    `BusinessCalendar.isHoliday(Date)`, `AbstractBusinessCalendar.isWorkingDay(Date)`, `BusinessCalendar.isHoliday(Date)`

WebCab Options and Futures Demo v2.5 (J2SE Edition)